-- phpMyAdmin SQL Dump
-- version 4.5.4.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Nov 22, 2022 at 02:38 AM
-- Server version: 5.7.11
-- PHP Version: 5.6.18

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `inet_law_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_admin`
--

CREATE TABLE `tbl_admin` (
  `admin_id` int(11) NOT NULL,
  `admin_user` varchar(30) NOT NULL,
  `admin_pass` text NOT NULL,
  `complete_name` varchar(100) NOT NULL,
  `email_address` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_appoinment`
--

CREATE TABLE `tbl_appoinment` (
  `appointment_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `firm_id` int(11) NOT NULL,
  `attorney_id` int(11) NOT NULL,
  `service_id` int(11) NOT NULL,
  `reference_number` varchar(15) NOT NULL,
  `remarks` varchar(50) NOT NULL,
  `status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_attorney`
--

CREATE TABLE `tbl_attorney` (
  `attorney_id` int(11) NOT NULL,
  `last_name` varchar(30) NOT NULL,
  `first_name` varchar(30) NOT NULL,
  `middle_name` varchar(30) NOT NULL,
  `gender` int(1) NOT NULL,
  `complete_address` varchar(150) NOT NULL,
  `contact_details` varchar(50) NOT NULL,
  `fax` varchar(15) NOT NULL,
  `profile_picture` text NOT NULL,
  `education` text NOT NULL,
  `professional_experience` text NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `account_status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_attorney_firm`
--

CREATE TABLE `tbl_attorney_firm` (
  `record_id` int(11) NOT NULL,
  `attorney_id` int(11) NOT NULL,
  `firm_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_badwords`
--

CREATE TABLE `tbl_badwords` (
  `word_id` int(11) NOT NULL,
  `bad_word` varchar(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_client`
--

CREATE TABLE `tbl_client` (
  `client_id` int(11) NOT NULL,
  `client_lastname` varchar(30) NOT NULL,
  `client_firstname` varchar(30) NOT NULL,
  `client_middlename` varchar(30) NOT NULL,
  `contact` varchar(15) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `valid_id` text NOT NULL,
  `username` varchar(30) NOT NULL,
  `password` text NOT NULL,
  `account_status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_feedback`
--

CREATE TABLE `tbl_feedback` (
  `feedback_id` int(11) NOT NULL,
  `client_id` int(11) NOT NULL,
  `message` varchar(100) NOT NULL,
  `rate` int(1) NOT NULL,
  `status` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_firm_services`
--

CREATE TABLE `tbl_firm_services` (
  `service_id` int(11) NOT NULL,
  `service_name` varchar(30) NOT NULL,
  `description` varchar(100) NOT NULL,
  `firm_id` int(11) NOT NULL,
  `attorney_id` int(11) NOT NULL,
  `rate` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_law_firm`
--

CREATE TABLE `tbl_law_firm` (
  `firm_id` int(11) NOT NULL,
  `firm_name` varchar(100) NOT NULL,
  `complete_address` varchar(100) NOT NULL,
  `contact_info` varchar(50) NOT NULL,
  `email_address` varchar(50) NOT NULL,
  `website` varchar(100) NOT NULL,
  `facebook_page` varchar(100) NOT NULL,
  `history` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_admin`
--
ALTER TABLE `tbl_admin`
  ADD PRIMARY KEY (`admin_id`);

--
-- Indexes for table `tbl_appoinment`
--
ALTER TABLE `tbl_appoinment`
  ADD PRIMARY KEY (`appointment_id`),
  ADD KEY `client_id` (`client_id`),
  ADD KEY `firm_id` (`firm_id`),
  ADD KEY `attorney_id` (`attorney_id`),
  ADD KEY `service_id` (`service_id`);

--
-- Indexes for table `tbl_attorney`
--
ALTER TABLE `tbl_attorney`
  ADD PRIMARY KEY (`attorney_id`);

--
-- Indexes for table `tbl_attorney_firm`
--
ALTER TABLE `tbl_attorney_firm`
  ADD PRIMARY KEY (`record_id`),
  ADD KEY `attorney_id` (`attorney_id`),
  ADD KEY `firm_id` (`firm_id`);

--
-- Indexes for table `tbl_badwords`
--
ALTER TABLE `tbl_badwords`
  ADD PRIMARY KEY (`word_id`);

--
-- Indexes for table `tbl_client`
--
ALTER TABLE `tbl_client`
  ADD PRIMARY KEY (`client_id`);

--
-- Indexes for table `tbl_feedback`
--
ALTER TABLE `tbl_feedback`
  ADD PRIMARY KEY (`feedback_id`),
  ADD KEY `client_id` (`client_id`);

--
-- Indexes for table `tbl_firm_services`
--
ALTER TABLE `tbl_firm_services`
  ADD PRIMARY KEY (`service_id`),
  ADD KEY `firm_id` (`firm_id`),
  ADD KEY `attorney_id` (`attorney_id`);

--
-- Indexes for table `tbl_law_firm`
--
ALTER TABLE `tbl_law_firm`
  ADD PRIMARY KEY (`firm_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_admin`
--
ALTER TABLE `tbl_admin`
  MODIFY `admin_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_appoinment`
--
ALTER TABLE `tbl_appoinment`
  MODIFY `appointment_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_attorney`
--
ALTER TABLE `tbl_attorney`
  MODIFY `attorney_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_attorney_firm`
--
ALTER TABLE `tbl_attorney_firm`
  MODIFY `record_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_badwords`
--
ALTER TABLE `tbl_badwords`
  MODIFY `word_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_client`
--
ALTER TABLE `tbl_client`
  MODIFY `client_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_feedback`
--
ALTER TABLE `tbl_feedback`
  MODIFY `feedback_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_firm_services`
--
ALTER TABLE `tbl_firm_services`
  MODIFY `service_id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tbl_law_firm`
--
ALTER TABLE `tbl_law_firm`
  MODIFY `firm_id` int(11) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
